Get secure document list
curl --request GET \
--url https://api-stage.karmacheck.io/document/secure/list/case/id/{caseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/document/secure/list/case/id/{caseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/document/secure/list/case/id/{caseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "9038ed0b-e4ec-48d2-8b02-6b83cfc91c71",
"documentTypeId": "ohs-participant-passport",
"title": null,
"description": null,
"fileName": "escreen-8W53CrkbECCh5rGvOUN7-doc-ohs-participant-passport.pdf",
"fileKey": "escreen-8W53CrkbECCh5rGvOUN7-doc-ohs-participant-passport.pdf",
"fileFormat": "pdf",
"crUserId": "d7b55ff8-704c-4d8d-854e-d3c11ce0b420",
"displayReport": 0
},
{
"id": "ce1a7040-ed8a-4757-8cab-b8dba2c8c618",
"documentTypeId": "ohs-occupational-health",
"title": null,
"description": null,
"fileName": "escreen-Zpqpiv2WuZ8rfZHSyvAx-doc-ohs-occupational-health.pdf",
"fileKey": "escreen-Zpqpiv2WuZ8rfZHSyvAx-doc-ohs-occupational-health.pdf",
"fileFormat": "pdf",
"crUserId": "d7b55ff8-704c-4d8d-854e-d3c11ce0b420",
"displayReport": 0
},
{
"id": "0d19059e-af73-499d-9c33-9373b3375bce",
"documentTypeId": "ohs-occupational-health",
"title": null,
"description": null,
"fileName": "escreen-8W53CrkbECCh5rGvOUN7-doc-ohs-occupational-health.pdf",
"fileKey": "escreen-8W53CrkbECCh5rGvOUN7-doc-ohs-occupational-health.pdf",
"fileFormat": "pdf",
"crUserId": "d7b55ff8-704c-4d8d-854e-d3c11ce0b420",
"displayReport": 0
},
{
"id": "aa211c20-c189-464e-9158-2cffa45ccffb",
"documentTypeId": "ohs-participant-passport",
"title": null,
"description": null,
"fileName": "escreen-Zpqpiv2WuZ8rfZHSyvAx-doc-ohs-participant-passport.pdf",
"fileKey": "escreen-Zpqpiv2WuZ8rfZHSyvAx-doc-ohs-participant-passport.pdf",
"fileFormat": "pdf",
"crUserId": "d7b55ff8-704c-4d8d-854e-d3c11ce0b420",
"displayReport": 0
},
{
"id": "cb00f796-a5eb-4359-904c-c6398bbadfa8",
"documentTypeId": "ohs-result-certificate",
"title": null,
"description": null,
"fileName": "escreen-8W53CrkbECCh5rGvOUN7-doc-ohs-result-certificate.pdf",
"fileKey": "escreen-8W53CrkbECCh5rGvOUN7-doc-ohs-result-certificate.pdf",
"fileFormat": "pdf",
"crUserId": "d7b55ff8-704c-4d8d-854e-d3c11ce0b420",
"displayReport": 0
},
{
"id": "a6615dbd-f144-49a8-b240-454f27744002",
"documentTypeId": "ohs-occupational-health",
"title": null,
"description": null,
"fileName": "escreen-61DuAAjaoT1fhSZczTGC-doc-ohs-occupational-health.pdf",
"fileKey": "escreen-61DuAAjaoT1fhSZczTGC-doc-ohs-occupational-health.pdf",
"fileFormat": "pdf",
"crUserId": "d7b55ff8-704c-4d8d-854e-d3c11ce0b420",
"displayReport": 0
},
{
"id": "2165c1db-354f-493b-9e0a-b4f815f3671a",
"documentTypeId": "ohs-result-certificate",
"title": null,
"description": null,
"fileName": "escreen-61DuAAjaoT1fhSZczTGC-doc-ohs-result-certificate.pdf",
"fileKey": "escreen-61DuAAjaoT1fhSZczTGC-doc-ohs-result-certificate.pdf",
"fileFormat": "pdf",
"crUserId": "d7b55ff8-704c-4d8d-854e-d3c11ce0b420",
"displayReport": 0
},
{
"id": "0a869770-6a6b-4a83-b5b7-577d7809836f",
"documentTypeId": "ohs-participant-passport",
"title": null,
"description": null,
"fileName": "escreen-gkfQxkAStpb7VxOw9gsT-doc-ohs-participant-passport.pdf",
"fileKey": "escreen-gkfQxkAStpb7VxOw9gsT-doc-ohs-participant-passport.pdf",
"fileFormat": "pdf",
"crUserId": "d7b55ff8-704c-4d8d-854e-d3c11ce0b420",
"displayReport": 0
},
{
"id": "c0cf61e7-71ed-4985-9902-bb3742084074",
"documentTypeId": "ohs-result-certificate",
"title": null,
"description": null,
"fileName": "escreen-Zpqpiv2WuZ8rfZHSyvAx-doc-ohs-result-certificate.pdf",
"fileKey": "escreen-Zpqpiv2WuZ8rfZHSyvAx-doc-ohs-result-certificate.pdf",
"fileFormat": "pdf",
"crUserId": "d7b55ff8-704c-4d8d-854e-d3c11ce0b420",
"displayReport": 0
},
{
"id": "4bd3ec33-6411-46e0-aba9-e1286f4b3d07",
"documentTypeId": "ohs-occupational-health",
"title": null,
"description": null,
"fileName": "escreen-gkfQxkAStpb7VxOw9gsT-doc-ohs-occupational-health.pdf",
"fileKey": "escreen-gkfQxkAStpb7VxOw9gsT-doc-ohs-occupational-health.pdf",
"fileFormat": "pdf",
"crUserId": "d7b55ff8-704c-4d8d-854e-d3c11ce0b420",
"displayReport": 0
},
{
"id": "b73f8dce-dd3f-4ec5-aed0-f3dbd429161e",
"documentTypeId": "ohs-result-certificate",
"title": null,
"description": null,
"fileName": "escreen-gkfQxkAStpb7VxOw9gsT-doc-ohs-result-certificate.pdf",
"fileKey": "escreen-gkfQxkAStpb7VxOw9gsT-doc-ohs-result-certificate.pdf",
"fileFormat": "pdf",
"crUserId": "d7b55ff8-704c-4d8d-854e-d3c11ce0b420",
"displayReport": 0
},
{
"id": "5eea79cc-08b4-45f0-8337-f9f25da019d7",
"documentTypeId": "ohs-participant-passport",
"title": null,
"description": null,
"fileName": "escreen-61DuAAjaoT1fhSZczTGC-doc-ohs-participant-passport.pdf",
"fileKey": "escreen-61DuAAjaoT1fhSZczTGC-doc-ohs-participant-passport.pdf",
"fileFormat": "pdf",
"crUserId": "d7b55ff8-704c-4d8d-854e-d3c11ce0b420",
"displayReport": 0
}
]Secure Documents
Get secure document list
Returns a list of the secure documents associated with a case.
GET
/
document
/
secure
/
list
/
case
/
id
/
{caseId}
Get secure document list
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
The ID of a secure document.
The ID of the document type that the secure document is categorized under. See Secure document type [blocked] for details about each possible document type.
Available options:
06813017-94ef-4250-9083-375935ce9dc8, 4ad585b6-b087-11ec-9bf1-df77b62cb712, 7d25e1de-0b46-4a6c-bd06-d0b55526af08, 857d42f3-73b6-4588-8855-0ab49e376a84, candidate-disclosures-and-authorizations, cbsv-authorization, da070d09-b52f-4423-9c94-eff458ea3aa0, education-document, employment-document, ohs-breath-alcohol, ohs-chain-of-custody, ohs-occupational-health, ohs-participant-passport, ohs-result-certificate, search-result The reference ID of the file in KarmaCheck's storage system.
The ID of the user that created a record of the secure document.
A boolean integer: 1 (true) if the document is included in the report for the case; 0 (false) otherwise.
⌘I